<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/UserActionsComponent/Actions/SingleUse/ActionWorldFlagActionSwitch.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/de8/_action_world_flag_action_switch_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">ActionWorldFlagActionSwitch.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/de8/_action_world_flag_action_switch_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../dd/d9a/class_flag_tendency_action_recive_data.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../dd/d9a/class_flag_tendency_action_recive_data.html">FlagTendencyActionReciveData</a> : ActionReciveData</div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../dd/d9a/class_flag_tendency_action_recive_data.html#aeed88a0aceb3038dddf0a26a10e9fe9e">    3</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../dd/d9a/class_flag_tendency_action_recive_data.html#aeed88a0aceb3038dddf0a26a10e9fe9e">m_TendencyRecived</a>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>}</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="keyword">class </span>FlagTendencyActionData : <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d2/de8/_action_world_flag_action_switch_8c.html#af5c46f658afdf0ad3dcf5b39e7a83023">    8</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d3/d95/_action_transfer_liquid_8c.html#afbe41139d16b85d6b483d8289a9e2816">m_Tendency</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>};</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span> </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html">   11</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d2c/class_action_world_flag_action_switch.html">ActionWorldFlagActionSwitch</a>: <a class="code hl_class" href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>{</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a3c0d04b658240ae4ed587a2a5a7f5542">   13</a></span>    <span class="keywordtype">bool</span>    <a class="code hl_variable" href="../../df/d2c/class_action_world_flag_action_switch.html#a3c0d04b658240ae4ed587a2a5a7f5542">m_switch_to</a>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a05cfece91c23581be5a58d55e2b2ac01">   14</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a05cfece91c23581be5a58d55e2b2ac01">ActionWorldFlagActionSwitch</a>()</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    {</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a> = <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_ERECT | <a class="code hl_enumeration" href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a>.STANCEMASK_CROUCH;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    }</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#af746d47740b32f553e509365bc034a16">   19</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#af746d47740b32f553e509365bc034a16">CreateConditionComponents</a>()  </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    {       </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d4/d7c/class_c_c_i_none.html">CCINone</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        <a class="code hl_variable" href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">/*override string GetText()</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="comment">    {</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span><span class="comment">        if (!m_switch_to)</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="comment">            return  &quot;#switch_to_flag_raise&quot;;</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="comment">        return &quot;#switch_to_flag_lower&quot;;</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span><span class="comment">    }*/</span></div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a845f36f8d4e3d12acc0850eaa000d4fb">   32</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a845f36f8d4e3d12acc0850eaa000d4fb">ActionCondition</a>( <a class="code hl_class" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="code hl_variable" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="code hl_class" href="../../de/d7a/class_item_base.html">ItemBase</a> item )</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        TerritoryFlag totem = TerritoryFlag.Cast( target.GetObject() );</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> (!totem)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordtype">float</span> state = totem.GetAnimationPhase(<span class="stringliteral">&quot;flag_mast&quot;</span>);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="keywordflow">if</span> ( totem &amp;&amp; totem.FindAttachmentBySlotName(<span class="stringliteral">&quot;Material_FPole_Flag&quot;</span>) )</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            <span class="keywordflow">if</span> ( player.GetFlagTendencyRaise() &amp;&amp; state &lt; 1 )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>            {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                <a class="code hl_variable" href="../../df/d2c/class_action_world_flag_action_switch.html#a3c0d04b658240ae4ed587a2a5a7f5542">m_switch_to</a> = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( !player.GetFlagTendencyRaise() &amp;&amp; state &gt; 0 )</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>            {</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                <a class="code hl_variable" href="../../df/d2c/class_action_world_flag_action_switch.html#a3c0d04b658240ae4ed587a2a5a7f5542">m_switch_to</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    </div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a8676cc72138ddbb618510477f9071243">   56</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a8676cc72138ddbb618510477f9071243">Start</a>( <a class="code hl_class" href="../../da/d5a/class_action_data.html">ActionData</a> action_data ) <span class="comment">//Setup on start of action</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    {</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        super.Start( action_data );</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordtype">bool</span> state = action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.GetFlagTendencyRaise();</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        action_data.<a class="code hl_variable" href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">m_Player</a>.SetFlagTendencyRaise(!state);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a06477797e642e4648981dfac0e514fc6">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a06477797e642e4648981dfac0e514fc6">IsInstant</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a394e030a4641d0f55103e0c777b59ad6">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a394e030a4641d0f55103e0c777b59ad6">RemoveForceTargetAfterUse</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a2c038b4036cedbf976e5bfdf4b5b7703">   74</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a2c038b4036cedbf976e5bfdf4b5b7703">GetInputType</a>()</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a>;</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../df/d2c/class_action_world_flag_action_switch.html#a7b53fb66329c84a90570f9e1d4171ea5">   79</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d2c/class_action_world_flag_action_switch.html#a7b53fb66329c84a90570f9e1d4171ea5">SetFlagTendencyOnCurrentActionInvalid</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        </div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    }</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>};</div>
<div class="ttc" id="a_action_base_8c_html_a733279ad481ba700333db91fa140e910"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a733279ad481ba700333db91fa140e910">m_ConditionItem</a></div><div class="ttdeci">ref CCIBase m_ConditionItem</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00055">ActionBase.c:55</a></div></div>
<div class="ttc" id="a_action_base_8c_html_a81fd8dac008261b8f2062657a645b0d4"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#a81fd8dac008261b8f2062657a645b0d4">m_ConditionTarget</a></div><div class="ttdeci">ref CCTBase m_ConditionTarget</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00056">ActionBase.c:56</a></div></div>
<div class="ttc" id="a_action_base_8c_html_adc0813e96c27638edc8c57cfbaa30c25"><div class="ttname"><a href="../../d6/d59/_action_base_8c.html#adc0813e96c27638edc8c57cfbaa30c25">m_StanceMask</a></div><div class="ttdeci">protected int m_StanceMask</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00053">ActionBase.c:53</a></div></div>
<div class="ttc" id="a_action_targets_8c_html_a2ab3de6f698cb230ae0c129e3e01b341"><div class="ttname"><a href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a></div><div class="ttdeci">class ActionTargets ActionTarget</div></div>
<div class="ttc" id="a_action_transfer_liquid_8c_html_afbe41139d16b85d6b483d8289a9e2816"><div class="ttname"><a href="../../d3/d95/_action_transfer_liquid_8c.html#afbe41139d16b85d6b483d8289a9e2816">m_Tendency</a></div><div class="ttdeci">TransferLiquidActionReciveData m_Tendency</div></div>
<div class="ttc" id="aclass_action_data_html"><div class="ttname"><a href="../../da/d5a/class_action_data.html">ActionData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00020">ActionBase.c:21</a></div></div>
<div class="ttc" id="aclass_action_data_html_a219946226b0958a6dfaf2c880ff576e9"><div class="ttname"><a href="../../da/d5a/class_action_data.html#a219946226b0958a6dfaf2c880ff576e9">ActionData::m_Player</a></div><div class="ttdeci">PlayerBase m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d59/_action_base_8c_source.html#l00033">ActionBase.c:33</a></div></div>
<div class="ttc" id="aclass_action_single_use_base_html"><div class="ttname"><a href="../../d1/d91/class_action_single_use_base.html">ActionSingleUseBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d93/_action_single_use_base_8c_source.html#l00041">ActionSingleUseBase.c:42</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html">ActionWorldFlagActionSwitch</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00011">ActionWorldFlagActionSwitch.c:12</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a05cfece91c23581be5a58d55e2b2ac01"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a05cfece91c23581be5a58d55e2b2ac01">ActionWorldFlagActionSwitch::ActionWorldFlagActionSwitch</a></div><div class="ttdeci">void ActionWorldFlagActionSwitch()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00014">ActionWorldFlagActionSwitch.c:14</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a06477797e642e4648981dfac0e514fc6"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a06477797e642e4648981dfac0e514fc6">ActionWorldFlagActionSwitch::IsInstant</a></div><div class="ttdeci">override bool IsInstant()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00064">ActionWorldFlagActionSwitch.c:64</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a2c038b4036cedbf976e5bfdf4b5b7703"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a2c038b4036cedbf976e5bfdf4b5b7703">ActionWorldFlagActionSwitch::GetInputType</a></div><div class="ttdeci">override GetInputType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00074">ActionWorldFlagActionSwitch.c:74</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a394e030a4641d0f55103e0c777b59ad6"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a394e030a4641d0f55103e0c777b59ad6">ActionWorldFlagActionSwitch::RemoveForceTargetAfterUse</a></div><div class="ttdeci">override bool RemoveForceTargetAfterUse()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00069">ActionWorldFlagActionSwitch.c:69</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a3c0d04b658240ae4ed587a2a5a7f5542"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a3c0d04b658240ae4ed587a2a5a7f5542">ActionWorldFlagActionSwitch::m_switch_to</a></div><div class="ttdeci">bool m_switch_to</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00013">ActionWorldFlagActionSwitch.c:13</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a7b53fb66329c84a90570f9e1d4171ea5"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a7b53fb66329c84a90570f9e1d4171ea5">ActionWorldFlagActionSwitch::SetFlagTendencyOnCurrentActionInvalid</a></div><div class="ttdeci">void SetFlagTendencyOnCurrentActionInvalid(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00079">ActionWorldFlagActionSwitch.c:79</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a845f36f8d4e3d12acc0850eaa000d4fb"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a845f36f8d4e3d12acc0850eaa000d4fb">ActionWorldFlagActionSwitch::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00032">ActionWorldFlagActionSwitch.c:32</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_a8676cc72138ddbb618510477f9071243"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#a8676cc72138ddbb618510477f9071243">ActionWorldFlagActionSwitch::Start</a></div><div class="ttdeci">override void Start(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00056">ActionWorldFlagActionSwitch.c:56</a></div></div>
<div class="ttc" id="aclass_action_world_flag_action_switch_html_af746d47740b32f553e509365bc034a16"><div class="ttname"><a href="../../df/d2c/class_action_world_flag_action_switch.html#af746d47740b32f553e509365bc034a16">ActionWorldFlagActionSwitch::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00019">ActionWorldFlagActionSwitch.c:19</a></div></div>
<div class="ttc" id="aclass_c_c_i_none_html"><div class="ttname"><a href="../../d4/d7c/class_c_c_i_none.html">CCINone</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d74/_c_c_i_none_8c_source.html#l00001">CCINone.c:2</a></div></div>
<div class="ttc" id="aclass_c_c_t_cursor_html"><div class="ttname"><a href="../../d2/d1a/class_c_c_t_cursor.html">CCTCursor</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_c_c_t_cursor_8c_source.html#l00001">CCTCursor.c:2</a></div></div>
<div class="ttc" id="aclass_flag_tendency_action_recive_data_html"><div class="ttname"><a href="../../dd/d9a/class_flag_tendency_action_recive_data.html">FlagTendencyActionReciveData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00001">ActionWorldFlagActionSwitch.c:2</a></div></div>
<div class="ttc" id="aclass_flag_tendency_action_recive_data_html_aeed88a0aceb3038dddf0a26a10e9fe9e"><div class="ttname"><a href="../../dd/d9a/class_flag_tendency_action_recive_data.html#aeed88a0aceb3038dddf0a26a10e9fe9e">FlagTendencyActionReciveData::m_TendencyRecived</a></div><div class="ttdeci">bool m_TendencyRecived</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/de8/_action_world_flag_action_switch_8c_source.html#l00003">ActionWorldFlagActionSwitch.c:3</a></div></div>
<div class="ttc" id="aclass_interact_action_input_html"><div class="ttname"><a href="../../d5/d8d/class_interact_action_input.html">InteractActionInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/_action_input_8c_source.html#l00534">ActionInput.c:535</a></div></div>
<div class="ttc" id="aclass_item_base_html"><div class="ttname"><a href="../../de/d7a/class_item_base.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d82/4___world_2_entities_2_core_2_inherited_2_inventory_item_8c_source.html#l00691">InventoryItem.c:692</a></div></div>
<div class="ttc" id="aclass_player_base_html"><div class="ttname"><a href="../../d5/da8/class_player_base.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d23/_player_base_client_8c_source.html#l00001">PlayerBaseClient.c:2</a></div></div>
<div class="ttc" id="adayzplayer_8c_html_a6fd289b7043f1412362529ab769d7881"><div class="ttname"><a href="../../d3/d58/dayzplayer_8c.html#a6fd289b7043f1412362529ab769d7881">DayZPlayerConstants</a></div><div class="ttdeci">DayZPlayerConstants</div><div class="ttdoc">defined in C++</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d58/dayzplayer_8c_source.html#l00573">dayzplayer.c:574</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_976f257c008027d90ba95fd06280e667.html">UserActionsComponent</a></li><li class="navelem"><a class="el" href="../../dir_cff468948886a8a387c16d73219adaa9.html">Actions</a></li><li class="navelem"><a class="el" href="../../dir_10c38a35488a6c6e18a576a925896ff8.html">SingleUse</a></li><li class="navelem"><a class="el" href="../../d2/de8/_action_world_flag_action_switch_8c.html">ActionWorldFlagActionSwitch.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
